Bug 980440 - Stale glustershd and gluster nfs processes after peer detach.
Stale glustershd and gluster nfs processes after peer detach.
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.1
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
:
: 980441 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 07:28 EDT by M S Vishwanath Bhat
Modified: 2016-05-31 21:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 12:21:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2013-07-02 07:28:40 EDT
Description of problem:
After a peer detach stale glustershd and gluster nfs processes will be running. There were no volume information in /var/lib/glusterd/vols and /var/lib/glusterd/peers. But /var/lib/glusterd/nfs had some stale data.

Ideally all these should be cleaned up and the processes should be exited gracefully when we did peer detach.


Version-Release number of selected component (if applicable):
glusterfs 3.4.0.12rhs.beta1

How reproducible:
1/1

Steps to Reproduce:
1. Created a cluster of 4 nodes.
2. Created a pure replicate volume of replica count 2. So only two peers host the bricks and other 2 peers don't have any bricks. And the glustershd and gluster nfs processes will be running in those other two peers where there is no glusterfsd.
3. Now since those two bricks doesn't have nay bricks do peer detach on them
4. Check the /var/lib/glusterd/{vols,peers,nfs}

Actual results:
glustershd and gnfs processes are still running. Some stale data present in the /var/lib/glusterd/nfs

Expected results:
There should be no stale data in glusterd store and there should be no stale processes running.

Additional info:
Comment 1 M S Vishwanath Bhat 2013-07-02 07:31:27 EDT
*** Bug 980441 has been marked as a duplicate of this bug. ***
Comment 3 Vivek Agarwal 2015-12-03 12:21:21 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.